import {httpApi} from "../../request/httpApi";

export default {
    //分页获取计划列表
    async getPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectCostBudget/page',
            method: 'get',
            params: form
        }, msg);
    },
    //单个详情
    async getPlanByProjectId(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectCostBudget/getPlanByProjectId',
            method: 'get',
            params: form
        }, msg);
    },

    //编辑
    async updatePlan(form, msg = true) {
        return httpApi({
            url: '/api//blade-control/projectCostBudget/updatePlan',
            method: 'post',
            data: form
        }, msg);
    },
    //计划关联回款
    async relationPlanAndReturned(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/planRelationReturned/relationPlanAndReturned',
            method: 'get',
            params: form
        }, msg);
    },
    ///根据起止日期获取工作日
    async getWorkDays(form, msg = true) {
        return httpApi({
            url: '/apiblade-control/projectCostBudget/getWorkDays',
            method: 'get',
            params: form
        }, msg);
    },
}
